import { fabric } from "fabric";
export declare enum HBMouseEvent {
    MOUSEDOWN = 0,
    MOUSEMOVE = 1,
    MOUSEUP = 2,
    MOUSEWHEEL = 3
}
declare class Mouse {
    fabric: fabric.Canvas;
    isDraged: boolean;
    props: any;
    mouseChangeHandleQueue: Array<any>;
    mouseDownEventQueue: Array<any>;
    mouseMoveEventQueue: Array<any>;
    mouseUpEventQueue: Array<any>;
    mouseWheelEventQueue: Array<any>;
    timeStamp: number;
    currentPointer: {};
    currentPointerTimeStamp: number;
    accuracy: number;
    button: number;
    constructor(props: any);
    init: (props: any) => void;
    getMouseDir(oldPointer: any, newPointer: any, time: any): "X-" | "X+" | "=" | "Y-" | "Y+";
    onMouseChange: (data: any) => void;
    handleMouseChange: (data: any) => void;
    mouseEventHandler: (event: any) => void;
    addMouseEvent: (type: HBMouseEvent, callback: any, id: string) => void;
    getEventQueueByEventType: (type: HBMouseEvent) => Array<any>;
    removeMouseEvent: (type: any, id: any) => void;
}
export default Mouse;
