import Volume from '@/sliceViewer/Volume/Volume';
import SliceViewer from './SliceViewer';
import ScreenSlice from '../Volume/ScreenSlice';
declare type SliceViewer2DProps = {
    containerId: string;
    baseVolume?: Volume;
    sliceNormal?: Array<number>;
    viewUp?: Array<number>;
};
declare class SliceViewer2D {
    props: SliceViewer2DProps;
    sliceViewer: SliceViewer;
    containerDom: HTMLElement;
    sliceMap: Map<string, ScreenSlice>;
    currentSliceIndex: number;
    constructor(props: SliceViewer2DProps);
    init: () => void;
    getVolumeSLiceBySliceNormal: (sliceNormal: Array<number>, baseVolume: Volume) => {
        slice: ScreenSlice;
        depthRange: number[];
    };
    getSliceNormal: () => any;
    setBaseSliceVolume: (volume: Volume) => void;
    updateBaseSliceVolume: (baseVolume: Volume) => void;
    addVolume: (volume: Volume, key: string) => void;
    forceUpdate: () => void;
}
export default SliceViewer2D;
