import ImageTypes from '@/sliceViewer/Volume/Constants/ImageTypes';
export declare type ImageTypeProps = {
    datatype: ImageTypes;
    numBitePerVoxel: number;
    littleEndian: any;
    compressed: boolean;
};
declare class ImageType {
    dataType: ImageTypes;
    numBytes: number;
    compressed: boolean;
    swapped: boolean;
    constructor(props: ImageTypeProps);
    getTypeDescription: () => "Signed Integer" | "Unsigned Integer" | "Float" | "RGB" | "Unknown";
}
export default ImageType;
