import HandlerConstant from '../constant/HandlerConstant';
import MeshTypeConstant from '../constant/MeshTypeConstant';
import Viewer from '../Viewer';
export default class ModelData {
    props: any;
    name: string;
    normals: [];
    vertices: any;
    indices: any;
    colors: any[];
    colorMap: any;
    normal_help: any;
    mesh: any;
    options: any;
    normalHelp: any;
    imageRange: any;
    intensityValues: any;
    added: boolean;
    type: HandlerConstant;
    constructor(props?: any);
    showBoundBox: (isShow: Boolean) => void;
    showArrowHelp: (isShow: any) => void;
    updateOpacity: (alpha: number) => void;
    updateIsWireframe: (isWireframe: any) => void;
    updateVisitable: (visitable: boolean) => void;
    toggleVisitable: () => void;
    iteratorUpdateVisitable: (mesh: any, visitable: boolean) => void;
    remove: (options: any) => void;
    removeChildren: (mesh: any) => void;
    updateNormalHelpStatus: (visitable: boolean) => void;
    updateColorMap: (colorMap: any, viewer: Viewer) => void;
    updateImagePosRange: (min: any, max: any, viewer: Viewer) => void;
    updateImageNegRange: (min: any, max: any, viewer: Viewer) => void;
    /**
     * 根据type判断的mesh是一个Object3d还是一个ObjectGroup
     */
    getViewModelIsMeshOrObject: () => MeshTypeConstant;
}
