import { TransformMouseModel, TransformModel } from './Mouse';
export default class MouseTransform {
    transformControls: any;
    transformMouseModel: TransformMouseModel;
    transformModel: TransformModel;
    constructor();
    updateTransformMouseModel(model: TransformMouseModel): void;
    updateTransformModel(model: TransformModel): void;
    mouseMove: (evt: any) => boolean;
    mouseDown: (evt: any) => boolean;
    mouseUpEvent: (evt: any) => boolean;
    /**
     * 根据鼠标滑动信息，处理相关移动数据
     * @param evt
     */
    handlerObjectByMouseInfo: (evt: any) => boolean;
}
