import BaseHandler from "./BaseHandler";
import Viewer from '../Viewer';
import { fabric } from "fabric";
export default class RulerHandler extends BaseHandler {
    viewer: any;
    currentMouseEvent: any;
    startMouseEvent: any;
    line: any;
    startLine: any;
    endLine: any;
    lintText: any;
    constructor(props: any);
    /**
     * 根据当期的事件和初始事件计算距离，如果是voxel坐标系，需要通过
     * @param currentEvent
     * @returns
     */
    getDistance: (currentEvent: any) => number;
    onMouseChange: ({ x, y, z, screenSliceTypes }: any, event: any) => void;
    getLineText: (option: any, textY: any, textX: any, a: any) => fabric.Text;
    /**
     * 获取辅助线
     */
    getHelpLine: (point: any, degree: any) => fabric.Line;
    clear: (slice: any) => void;
    handler: (option: any, viewer: Viewer) => void;
}
