import SliceViewer2D from './SliceViewer2D';
import ScreenSliceTypes from '../Volume/Constants/ScreenSliceTypes';
import { CoordinateSystem } from '../Volume/NiftiHandler';
import Volume from '../Volume/Volume';
import MouseEvent from '@/sliceViewer/Viewer/Handler/MouseEvent';
export default class ViewerInstance {
    volumeMap: Map<string, Volume>;
    coordinateSystem: CoordinateSystem;
    axialSlice: SliceViewer2D;
    coronalSlice: SliceViewer2D;
    sagittalSlice: SliceViewer2D;
    mouseEvent: MouseEvent;
    x: number;
    y: number;
    z: number;
    constructor(props: any);
    sliceOnMouseChange: ({ x, y }: {
        x: any;
        y: any;
    }, sliceNormal: any, e: any) => void;
    updateSlice: (x: number, y: number, z: number, force: boolean) => void;
    setSliceBySliceNormal: (sliceViewer2D: SliceViewer2D, sliceNormal: Array<number>) => void;
    onMouseChange: (x: number, y: number, z: number, event: any, screenSliceTypes?: ScreenSliceTypes) => void;
}
