declare class ImageDimensions {
    cols: number;
    rows: number;
    slices: number;
    timepoints: number;
    colsOrig: number;
    rowsOrig: number;
    slicesOrig: number;
    xDim: number;
    yDim: number;
    zDim: number;
    dataOffsets: Array<number>;
    dataLengths: Array<number>;
    constructor(cols: number, rows: number, slices: number, timepoints: number);
    getNumVoxelsSeries: () => number;
    getNumVoxelsSlice: () => number;
    getNumVoxelsVolume: () => number;
    toArray: () => Array<number>;
    isValid: () => boolean;
}
export default ImageDimensions;
