declare class VoxelDimensions {
    colSize: number;
    rowSize: number;
    sliceSize: number;
    xSize: number;
    ySize: number;
    zSize: number;
    flip: boolean;
    timeSize: number;
    UNIT_STRINGS: any;
    spatialUnit: any;
    temporalUnit: any;
    UNITS_MSEC: any;
    UNITS_USEC: any;
    constructor(colSize: number, rowSize: number, sliceSize: number, timeSize: number);
    static initialUNIT_STRINGS(): any[];
    isValid: () => boolean;
    getSpatialUnitString: () => any;
    getTemporalUnitString: () => any;
    getTemporalUnitMultiplier: () => 1 | 0.001 | 0.000001;
    toArray: () => Array<number>;
}
export default VoxelDimensions;
