import Viewer from '../Viewer';
import * as THREE from 'three';
import ModelData from '../entity/ModelData';
import ImageRange from '../color/ImageRange';
declare class ContourDataHandler {
    handle: (previousValue: any, initialValue: any, view: Viewer) => {
        data: any;
        options: any;
        modelData: ModelData;
    };
    createViewModel: (modelData: ModelData) => THREE.LineSegments<THREE.BufferGeometry, THREE.LineBasicMaterial>;
    transform({ vert, conn, scalar }: {
        vert: any;
        conn: any;
        scalar: any;
    }): {
        vertices: any[];
        indices: any[];
        intensityValues: any[];
    };
    getImageRangeByScalar: (scalar: any) => ImageRange;
}
export default ContourDataHandler;
