import GiftiModelDataHandler from "./GiftiModelDataHandler";
import GiftiIntensityHandler from './GiftiIntensityHandler';
import NodeModelDataHandller from './NodeModelDataHandler';
import ContourDataHandler from './ContourDataHandler';
import HandlerConstant from '../constant/HandlerConstant';
import CreateModelHandler from './CreateModelHandler';
import ApplyColorHandler from './ApplyColorHandler';
import VolumeHandler from './VolumeHandler';
declare class HandlerFactory {
    props: any;
    giftiHandler: GiftiModelDataHandler;
    giftiIntensityHandler: GiftiIntensityHandler;
    nodeModelDataHandler: NodeModelDataHandller;
    countourHandler: ContourDataHandler;
    createModelHandler: CreateModelHandler;
    applyColorHandler: ApplyColorHandler;
    volumeHandler: VolumeHandler;
    constructor(props?: any);
    getHandler: (hander: HandlerConstant) => GiftiModelDataHandler | GiftiIntensityHandler | NodeModelDataHandller | ContourDataHandler | CreateModelHandler | ApplyColorHandler | VolumeHandler;
}
export default HandlerFactory;
